Subject: Re: I-D ACTION:draft-daley-ipv6-mcast-dad-00.txt

From: Greg Daley <[email-masked]>
Date: Mon, 02 Sep 2002 10:08:28 +1000

Hi Richard,

There are some design ideas which we haven't necessarily
explained.

We'll try to elaborate on the ideas. Maybe you
can recommend some different approaches.

Richard Draves wrote:
> The way MLD works today, if you don't have a valid link-local address to
> use as the IP Source, you use the unspecified address instead. It sounds
> like (section 4.1) you want to change this? I assume so the router can
> unicast a response. I think this is a problem because until DAD
> completes for the link-local address it's really not right to accept
> packets sent to it. So your optimization can not apply to the link-local
> address, only subsequent addresses.

RFC 2710 (MLD) doesn't have any mention of unspecified addresses,
(MLDv2 draft does).

In the RFC, MLD requires reports which come from unspecified
source address (actually a non link-local) to be dropped (page 12).
This is seemingly at odds with the state diagrams, which indicates
that nodes send their report when starting to listen to an address 
(which as you say is difficult for the solicited address for
the link-local).
Similarly, in MLDv2 draft, unspecified source address may be used,
but reports with this address MUST be ignored by routers (S 4.2.13)

Our main goal is to allow the existing MLD nodes to recognise
the report, rather than to get a unicast response. In fact
our draft specifies that there will not be a unicast response.

I will clean up the language in the second paragraph of sec 4.1 as
follows:

s/address will not have a unicast response/
     report will not have a unicast response/

Since there will be no unicast packets going to this address,
and the source address is only to ensure that the packet does
not arrive from off-link, I think that it may be alright
to send a packet from this address.

I'm happy to listen to suggestions though.

> 
> You say only the first MLD Report may be a report-requesting-response.
> Don't you mean the first one for each solicited-node multicast address?
> Or even more accurately (since some implementations allow an interface
> to be "reset" to that DAD etc is redone), just strike this sentence and
> leave the requirement as only unsolicited reports may request a
> response? What is your intent for retransmitted reports - are they not
> supposed to request a response?

Yes, the statement should be "for each solicited-node multicast
address".

retransmission was expected to be normal MLD (responses
to Queries, and periodic sending of unsolicited reports-every 10s?).

In these cases we thought that it was neater to ensure that
the periodic reports didn't request response, since the incidence
of periodic reports could easily exceed the number of DAD's
occurring on a busy link.  This would mean a small additional
overhead in looking up each multicast group, and discovering
its existence (therefore not sending a response).

Maybe it is better to say that "response MUST NOT be requested,
unless DAD is being performed for an address related to the
solicited-node multicast address"

Is that reasonable ?

Greg

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------